校验验证码
curl --request POST \
--url https://api.qbank.cl/platform/v1/otp/challenges/{challengeID}/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "482913"
}
'import requests
url = "https://api.qbank.cl/platform/v1/otp/challenges/{challengeID}/verify"
payload = { "code": "482913" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '482913'})
};
fetch('https://api.qbank.cl/platform/v1/otp/challenges/{challengeID}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"challenge_id": "6f1c02aa-93a1-4f0e-a7d1-1f2e3c4b5a69",
"action": "payout",
"otp_token": "otp_Zk9uY2XIr1EYE0lq8xqlM3VayVZYX4aa11bb22cc33",
"expires_at": "2026-07-08T21:10:00Z",
"note": "single use: send it in the X-OTP-Token header of the protected action"
}{
"error": "invalid_code",
"message": "the code is incorrect; check it and try again"
}{
"error": "not_found",
"message": "resource not found"
}{
"error": "challenge_not_pending",
"message": "the challenge already expired or was used; create a new one"
}校验验证码
校验通过 SMS/WhatsApp 收到的验证码,返回授权受保护操作的一次性 otp_token(放在 X-OTP-Token 请求头中发送)。每个挑战 5 次尝试。
POST
/
v1
/
otp
/
challenges
/
{challengeID}
/
verify
校验验证码
最后修改于 2026年7月18日
⌘I